HAB4_MAC_DUMP(1)

NAME
hab4_mac_dump - get MAC offset and size from HABv4 CSF binaries for encrypted boot on NXP i.MX processors

SYNOPSIS
hab4_mac_dump file

NOTE
This manpage is a short description of NXP hab4_mac_dump. For a detailed discussion refer to the Code Signing Tool User Guide UG10106, section 5.3 and NXP Application Note AN12056. The user guide and the application note can be obtained from www.nxp.com and are excluded from Debian for copyright reasons.

DESCRIPTION
hab4_mac_dump searches the HAB_TAG_MAC tag in Command Sequence Files (CSF) to determine Message Authentication Code (MAC) offset and size in a HABv4 CSF binary and prints them as key-value pairs to stdout.

This information is required to copy the Nonce/MAC from a CSF output binary from a encrypting cst run into the binary resulting from a subsequent signing cst run. See NXP AN12056, section A.3.1 for details on this process.

SEE ALSO
cst(1)